Subject: bug#12618: 24.2.50; Formating of completion candidates in the *Completions* buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 10 Oct 2012 20:40:11 -0400

> I observe that the first <SPC> creates a *Completions* buffer with the
> completion candidates formatted in 3 columns, whereas the second <SPC>
> reformat those candidates so that the full with of the window is used
> (6 columns in my case).

> Why the first <SPC> didn't use the full width of the window?

I think it's because when the text is first laid out, we don't know yet
the dimensions of the window where it will be displayed (actually, that
window doesn't even exist yet), so we assume a default 80-columns.

For the second time, the *Completions* buffer is already displayed in
a window, so the dimensions are available.

> I think it should.

Agreed, which means first display the buffer and then fill it.

        Stefan